iOS 9.2 のセキュリティコンテンツについて

iOS 9.2 のセキュリティコンテンツについて説明します。

Apple では、ユーザ保護の観点から、完全な調査が終了して必要なパッチやリリースが利用可能になるまではセキュリティ上の問題を公開、説明、または是認いたしません。Apple 製品のセキュリティについては、「Apple 製品のセキュリティ」Web サイトを参照してください。

Apple Product Security PGP キーについては、こちらの記事を参照してください。

CVE ID を使って脆弱性を調べることもできます。

その他のセキュリティアップデートについては、こちらの記事を参照してください。

iOS 9.2

  • AppleMobileFileIntegrity

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意のあるアプリケーションにシステム権限を取得され、任意のコードを実行される可能性がある。

    説明:アクセス制御構造の変更を阻止することで、アクセス制御の問題が解決されました。

    CVE-ID

    CVE-2015-7055:Apple

  • AppSandbox

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意のあるアプリケーションが、アクセスが失効した後も連絡先へのアクセスを維持する場合がある。

    説明:サンドボックスによるハードリンクの処理に脆弱性が存在します。この問題は、App のサンドボックスを強化改善することで解決されました。

    CVE-ID

    CVE-2015-7001:ブカレスト工科大学の Razvan Deaconescu 氏および Mihai Bucicoiu 氏、ノースカロライナ州立大学の Luke Deshotels 氏および William Enck 氏、TU Darmstadt の Lucas Vincenzo Davi 氏および Ahmad-Reza Sadeghi 氏

  • CFNetwork HTTPProtocol

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:ネットワーク上で特権的な地位を悪用した攻撃者が、HSTS を回避できる可能性がある。

    説明:URL の処理に、入力検証の脆弱性が存在します。この問題は、URL の検証を強化することで解決されました。

    CVE-ID

    CVE-2015-7094:Gehirn Inc. の Tsubasa Iinuma 氏 (@llamakko_cafe) および Muneaki Nishimura 氏 (nishimunea)

  • 圧縮

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意を持って作成された Web サイトにアクセスすると、任意のコードが実行される可能性がある。

    説明:zlib に、未初期化メモリアクセスの脆弱性が存在します。この問題は、メモリ初期化処理を改良し、zlib ストリームの検証を強化することによって解決されました。

    CVE-ID

    CVE-2015-7054:j00ru 氏

  • CoreGraphics

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意を持って作成されたフォントファイルを処理すると、任意のコードが実行される可能性がある。

    説明:フォントファイルの処理に、メモリ破損の脆弱性が存在します。この問題は、入力検証を強化することで解決されました。

    CVE-ID

    CVE-2015-7105:Yahoo Pentest Team の John Villamil 氏 (@day6reak)

  • CoreMedia の再生

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意を持って作成された Web サイトにアクセスすると、任意のコードが実行される可能性がある。

    説明:細工されたメディアファイルの処理に、メモリ破損の脆弱性が複数存在します。これらの問題は、メモリ処理を改善することで解決されました。

    CVE-ID

    CVE-2015-7074:Apple

    CVE-2015-7075

  • dyld

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意のあるアプリケーションにシステム権限を取得され、任意のコードを実行される可能性がある。

    説明:dyld に、セグメント検証の脆弱性が複数存在します。この問題は、環境のサニタイズ処理を改善したことで解決されました。

    CVE-ID

    CVE-2015-7072:Apple

    CVE-2015-7079:PanguTeam

  • GPUTools フレームワーク

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意のあるアプリケーションにシステム権限を取得され、任意のコードを実行される可能性がある。

    説明:Mobile Replayer に、パス検証の脆弱性が複数存在します。この問題は、環境のサニタイズ処理を改善したことで解決されました。

    CVE-ID

    CVE-2015-7069:Luca Todesco 氏 (@qwertyoruiop)

    CVE-2015-7070:Luca Todesco 氏 (@qwertyoruiop)

  • iBooks

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意を持って作成された iBooks ファイルを解析すると、ユーザ情報が漏洩する可能性がある。

    説明:iBook の解析処理に、XML 外部エンティティの参照に関する問題が存在します。この問題は、解析を強化することで解決されました。

    CVE-ID

    CVE-2015-7081:Behrouz Sadeghipour 氏 (@Nahamsec) および Patrik Fehrenbach 氏 (@ITSecurityguard)

  • ImageIO

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意を持って作成された画像を処理すると、任意のコードが実行される可能性がある。

    説明:ImageIO にメモリ破損の脆弱性が存在します。この問題は、メモリ処理を改良することによって解決されています。

    CVE-ID

    CVE-2015-7053:Apple

  • IOHIDFamily

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意のあるアプリケーションにシステム権限を取得され、任意のコードを実行される可能性がある。

    説明:IOHIDFamily API にメモリ破損の問題が複数存在します。これらの問題は、メモリ処理を改善することで解決されました。

    CVE-ID

    CVE-2015-7111:BoB の beist 氏および ABH 氏

    CVE-2015-7112:Google Project Zero の Ian Beer 氏

  • IOKit SCSI

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意のあるアプリケーションにカーネル権限を取得され、任意のコードを実行される可能性がある。

    説明:特定の userclient タイプの処理に、ヌルポインタ逆参照の脆弱性が存在します。この問題は、検証を強化することで解決されました。

    CVE-ID

    CVE-2015-7068:Google Project Zero の Ian Beer 氏

  • カーネル

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:ローカルアプリケーションから、サービス運用妨害を受ける可能性がある。

    説明:メモリ処理を強化することで、複数のサービス拒否の脆弱性が解決されました。

    CVE-ID

    CVE-2015-7040:Qihoo 360 Vulcan Team の Lufeng Li 氏

    CVE-2015-7041:Qihoo 360 Vulcan Team の Lufeng Li 氏

    CVE-2015-7042:Qihoo 360 Vulcan Team の Lufeng Li 氏

    CVE-2015-7043:Tarjei Mandt 氏 (@kernelpool)

  • カーネル

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:ローカルユーザがカーネル特権を取得し、任意のコードを実行できるようになる可能性がある。

    説明:カーネルにメモリ破損の脆弱性が複数存在します。これらの問題は、メモリ処理を改善することで解決されました。

    CVE-ID

    CVE-2015-7083:Google Project Zero の Ian Beer 氏

    CVE-2015-7084:Google Project Zero の Ian Beer 氏

  • カーネル

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:ローカルユーザがカーネル特権を取得し、任意のコードを実行できるようになる可能性がある。

    説明:mach メッセージの解析に脆弱性が存在します。この問題は、mach メッセージの検証を強化することで解決されました。

    CVE-ID

    CVE-2015-7047:Google Project Zero の Ian Beer 氏

  • LaunchServices

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意のあるアプリケーションにシステム権限を取得され、任意のコードを実行される可能性がある。

    説明:細工された plist の処理に、メモリ破損の脆弱性が存在します。この問題は、メモリ処理を改良することによって解決されています。

    CVE-ID

    CVE-2015-7113:Free Tools Association の Olivier Goguel 氏

  • libarchive

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意を持って作成された Web サイトにアクセスすると、任意のコードが実行される可能性がある。

    説明:アーカイブの処理にメモリ破損の脆弱性が存在します。この問題は、メモリ処理を改良することによって解決されています。

    CVE-ID

    CVE-2011-2895:@practicalswift

  • libc

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意を持って作成されたパッケージを処理すると、任意のコードが実行される可能性がある。

    説明:C 標準ライブラリにバッファオーバーフローの脆弱性が複数存在します。この問題は、配列境界チェック機能を改善することで解決されました。

    CVE-ID

    CVE-2015-7038:E. W. Scripps の Brian D. Wells 氏、Symantec Corporation/Veritas LLC の Narayan Subramanian 氏

    CVE-2015-7039:Maksymilian Arciemowicz 氏 (CXSECURITY.COM)

    2017 年 3 月 3 日に更新

  • libxml2

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意を持って作成された XML ドキュメントを解析すると、ユーザ情報が漏洩する可能性がある。

    説明:XML ファイルの解析処理に、メモリ破損に関する問題が存在します。この問題は、メモリ処理を改良することによって解決されています。

    CVE-ID

    CVE-2015-7115:南洋理工大学の Wei Lei 氏および Liu Yang 氏

    CVE-2015-7116:南洋理工大学の Wei Lei 氏および Liu Yang 氏

  • MobileStorageMounter

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意のあるアプリケーションにシステム権限を取得され、任意のコードを実行される可能性がある。

    説明:トラストキャッシュの読み込みに、タイミングの問題がありました。この問題は、トラストキャッシュの読み込み前にシステム環境を検証することで解決されました。

    CVE-ID

    CVE-2015-7051:PanguTeam

  • OpenGL

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意を持って作成された Web サイトにアクセスすると、任意のコードが実行される可能性がある。

    説明:OpenGL にメモリ破損の脆弱性が複数存在します。これらの問題は、メモリ処理を改善することで解決されました。

    CVE-ID

    CVE-2015-7064:Apple

    CVE-2015-7065:Apple

    CVE-2015-7066:Palo Alto Networks の Tongbo Luo 氏および Bo Qu 氏

  • 写真

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:攻撃者がバックアップシステムを悪用して、ファイルシステムの制限された領域にアクセスできる可能性がある。

    説明:モバイルバックアップに、パス検証の脆弱性が存在します。この問題は環境のサニタイズ処理を改善したことで解決されました。

    CVE-ID

    CVE-2015-7037:PanguTeam

  • クイックルック

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意を持って作成された iWork ファイルを開くと、任意のコードが実行される可能性がある。

    説明:iWork ファイルの処理に、メモリ破損の脆弱性が存在します。この問題は、メモリ処理を改良することによって解決されています。

    CVE-ID

    CVE-2015-7107

  • Safari

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意のある Web サイトにアクセスすると、ユーザインターフェイスを偽装される可能性がある。

    説明:Web サイトで、別の Web サイトからの URL のコンテンツを表示できる脆弱性があります。この問題は、URL の処理を改善することで解決されました。

    CVE-ID

    CVE-2015-7093:Tencent の Xuanwu LAB (www.tencent.com) の xisigr 氏

  • サンドボックス

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:ルート権限を悪用した悪意のあるアプリケーションが、カーネルアドレス空間配置のランダム化を回避できる可能性がある。

    説明:xnu に、特権分離が不十分という脆弱性が存在します。この問題は、認証チェックを強化することで解決されました。

    CVE-ID

    CVE-2015-7046:Apple

  • セキュリティ

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:リモート攻撃者によって、アプリケーションが突然終了されたり、任意のコードが実行されたりする可能性がある。

    説明:SSL ハンドシェイクの処理にメモリ破損の脆弱性が存在します。この問題は、メモリ処理を改良することによって解決されています。

    CVE-ID

    CVE-2015-7073:ZeroC, Inc. の Benoit Foucher 氏

  • セキュリティ

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意のあるアプリケーションが、ユーザのキーチェーン項目にアクセスする可能性がある。

    説明:キーチェーン項目のアクセス制御リストの検証に問題がありました。この問題は、アクセス制御リストのチェックを強化することで解決されました。

    CVE-ID

    CVE-2015-7058

  • Siri

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:iOS デバイスに物理的にアクセスできる人物が、Siri を使って、ロック画面に表示しない設定になっているコンテンツの通知を読み取れる可能性がある。

    説明:Siri へのリクエスト時に、クライアントサイドの制限がサーバによってチェックされていませんでした。この問題は、制限のチェックを強化することで解決されました。

    CVE-ID

    CVE-2015-7080:Or Safran 氏 (www.linkedin.com/profile/view?id=33912591)

  • WebKit

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意を持って作成された Web サイトにアクセスすると、任意のコードが実行される可能性がある。

    説明:WebKit にメモリ破損の脆弱性が複数存在します。これらの問題は、メモリ処理を改善することで解決されました。

    CVE-ID

    CVE-2015-7048:Apple

    CVE-2015-7095:Apple

    CVE-2015-7096:Apple

    CVE-2015-7097:Apple

    CVE-2015-7098:Apple

    CVE-2015-7099:Apple

    CVE-2015-7100:Apple

    CVE-2015-7101:Apple

    CVE-2015-7102:Apple

    CVE-2015-7103:Apple

  • WebKit

    対象となるデバイス:iPhone 4s 以降、iPod touch (第 5 世代) 以降、iPad 2 以降

    影響:悪意を持って作成された Web サイトにアクセスすると、ユーザの閲覧履歴が漏洩する可能性がある。

    説明:コンテンツブロック処理に、入力検証不備の脆弱性が存在します。この問題は、コンテンツの拡張子の解析を強化することで解決されました。

    CVE-ID

    CVE-2015-7050:Luke Li 氏および Jonathan Metzman 氏

Apple 製以外の製品に関する情報や、Apple が管理または検証していない個々の Web サイトは、推奨や承認なしで提供されています。Apple は他社の Web サイトや製品の選定、性能、使用については一切責任を負いません。Apple は他社の Web サイトの正確性や信頼性については一切明言いたしません。インターネットの使用にはリスクがつきものです。詳しくは各社にお問い合わせください。その他の会社名や製品名は、それぞれの所有者の商標である場合があります。

公開日: